svn commit: samba r7432 - in branches/SAMBA_4_0/source/script/tests: .

metze at samba.org metze at samba.org
Thu Jun 9 09:32:08 GMT 2005


Author: metze
Date: 2005-06-09 09:32:07 +0000 (Thu, 09 Jun 2005)
New Revision: 7432

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=7432

Log:
export SMBD_TEST_FIFO

we can later check if this file exists, in the testit function,
and only run the tests if smbd is still up

metze
Modified:
   branches/SAMBA_4_0/source/script/tests/selftest.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/selftest.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-06-09 08:58:12 UTC (rev 7431)
+++ branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-06-09 09:32:07 UTC (rev 7432)
@@ -49,9 +49,19 @@
 	ADDARGS="$ADDARGS --option=\"torture:progress=no\""
 fi
 
-rm -f $PREFIX/smbd_test.fifo
-mkfifo $PREFIX/smbd_test.fifo
-$SRCDIR/bin/smbd -d1 -s $CONFFILE -M single -i < $PREFIX/smbd_test.fifo || exit 1 &
+SMBD_TEST_FIFO="$PREFIX/smbd_test.fifo"
+export SMBD_TEST_FIFO
+
+rm -f $SMBD_TEST_FIFO
+mkfifo $SMBD_TEST_FIFO
+
+($SRCDIR/bin/smbd -d1 -s $CONFFILE -M single -i < $SMBD_TEST_FIFO;
+ ret=$?;
+ rm -f $SMBD_TEST_FIFO;
+ echo "smbd exists with status $ret";
+ exit $ret;
+)||exit $? &
+
 sleep 2
 START=`date`
 (
@@ -62,7 +72,7 @@
  $SRCDIR/script/tests/test_posix.sh //localhost/tmp $USERNAME $PASSWORD "" $ADDARG || failed=`expr $failed + $?`
  $SRCDIR/bin/smbtorture $ADDARG ncalrpc: LOCAL-* || failed=`expr $failed + 1`
  exit $failed
-) 9>$PREFIX/smbd_test.fifo
+) 9>$SMBD_TEST_FIFO
 failed=$?
 
 END=`date`



More information about the samba-cvs mailing list